Update Property Value Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"name": "<string>",
"description": "<string>",
"seoPath": "<string>",
"seoMetaDescription": "<string>",
"seoTitleTag": "<string>",
"seoMetaKeywords": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload = {
"name": "<string>",
"description": "<string>",
"seoPath": "<string>",
"seoMetaDescription": "<string>",
"seoTitleTag": "<string>",
"seoMetaKeywords": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
seoPath: '<string>',
seoMetaDescription: '<string>',
seoTitleTag: '<string>',
seoMetaKeywords: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'seoPath' => '<string>',
'seoMetaDescription' => '<string>',
'seoTitleTag' => '<string>',
'seoMetaKeywords' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Property
Update Property Value Description
Updates the description for a specific property value and language.
PATCH
/
v2
/
properties
/
{propertyId}
/
values
/
{propertyValueId}
/
descriptions
/
{languageIso}
Update Property Value Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"name": "<string>",
"description": "<string>",
"seoPath": "<string>",
"seoMetaDescription": "<string>",
"seoTitleTag": "<string>",
"seoMetaKeywords": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload = {
"name": "<string>",
"description": "<string>",
"seoPath": "<string>",
"seoMetaDescription": "<string>",
"seoTitleTag": "<string>",
"seoMetaKeywords": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
seoPath: '<string>',
seoMetaDescription: '<string>',
seoTitleTag: '<string>',
seoMetaKeywords: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'seoPath' => '<string>',
'seoMetaDescription' => '<string>',
'seoTitleTag' => '<string>',
'seoMetaKeywords' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoPath\": \"<string>\",\n \"seoMetaDescription\": \"<string>\",\n \"seoTitleTag\": \"<string>\",\n \"seoMetaKeywords\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
The property value description to update.
Model Class: UpdatePropertyValueDescription
Response
Was this page helpful?